DROP TABLE CRST_AR_MEMO_LINES_ALL_B;

CREATE TABLE CRST_AR_MEMO_LINES_ALL_B
(
  MEMO_LINE_ID               NUMBER(15)         NOT NULL,
  ORG_ID                     NUMBER(15),         
  SET_OF_BOOKS_ID            NUMBER(15)         NOT NULL,
  LINE_TYPE                  VARCHAR2(30 BYTE)  NOT NULL,
  START_DATE                 DATE               NOT NULL,
  LAST_UPDATE_DATE           DATE               NOT NULL,
  LAST_UPDATED_BY            NUMBER(15)         NOT NULL,
  CREATED_BY                 NUMBER(15)         NOT NULL,
  CREATION_DATE              DATE               NOT NULL,
  GL_ID_REV                  NUMBER(15),
  TAX_CODE                   VARCHAR2(50 BYTE),
  UOM_CODE                   VARCHAR2(3 BYTE),
  UNIT_STD_PRICE             NUMBER,
  INVOICING_RULE_ID          NUMBER(15),
  ACCOUNTING_RULE_ID         NUMBER(15),
  END_DATE                   DATE,
  ATTRIBUTE_CATEGORY         VARCHAR2(30 BYTE),
  ATTRIBUTE1                 VARCHAR2(150 BYTE),
  ATTRIBUTE2                 VARCHAR2(150 BYTE),
  ATTRIBUTE3                 VARCHAR2(150 BYTE),
  ATTRIBUTE4                 VARCHAR2(150 BYTE),
  ATTRIBUTE5                 VARCHAR2(150 BYTE),
  ATTRIBUTE6                 VARCHAR2(150 BYTE),
  ATTRIBUTE7                 VARCHAR2(150 BYTE),
  ATTRIBUTE8                 VARCHAR2(150 BYTE),
  ATTRIBUTE9                 VARCHAR2(150 BYTE),
  ATTRIBUTE10                VARCHAR2(150 BYTE),
  ATTRIBUTE11                VARCHAR2(150 BYTE),
  ATTRIBUTE12                VARCHAR2(150 BYTE),
  ATTRIBUTE13                VARCHAR2(150 BYTE),
  ATTRIBUTE14                VARCHAR2(150 BYTE),
  ATTRIBUTE15                VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE_CATEGORY  VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE1          VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE2          VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE3          VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE4          VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE5          VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE6          VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE7          VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE8          VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE9          VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE10         VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE11         VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE12         VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE13         VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE14         VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE15         VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE16         VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE17         VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE18         VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE19         VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE20         VARCHAR2(150 BYTE),
  LAST_UPDATE_LOGIN          NUMBER(15),
  MEMO_LINE_ID_N             NUMBER(15),
  ORG_ID_N                   NUMBER(15) 
);
